> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/site-settings/url-redirection/entry.md).

# Entry

## Add

> Add URL Redirection Entry.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/URLRedirectionSettings/Entry":{"post":{"tags":["2-Site settings//URL Redirection"],"summary":"Add","description":"Add URL Redirection Entry.","operationId":"4c2efa8d-a755-4c09-8c22-3bd8fb8f26f1","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to modify the URL Redirection Settings. (optional)","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"URL Redirection Entry settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddURLRedirectionEntry"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddURLRedirectionEntry":{"required":["url"],"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the URL redirection will be enabled or disabled.</para>"},"url":{"type":"string","description":"<para type=\"description\">The URL to redirect or not.</para>","nullable":true},"action":{"$ref":"#/components/schemas/RedirectActionType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a URL redirection to the URL redirection list</para>\r\n<para type=\"description\"></para>"},"RedirectActionType":{"enum":[["0 = DoNotRedirect","1 = Redirect"]],"type":"string","description":"<para type=\"synopsis\">Redirect action type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve URL Redirection Entry.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/URLRedirectionSettings/Entry/{id}":{"get":{"tags":["2-Site settings//URL Redirection"],"summary":"Get","description":"Retrieve URL Redirection Entry.","operationId":"1a425a36-c5de-4d78-ba89-d678ff2be9ba","parameters":[{"name":"id","in":"path","description":"The Id for which to retrieve the URL Redirection Entry","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"siteId","in":"query","description":"The Site ID for which to modify the URL Redirection Settings. (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/URLRedirectEntry"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"URLRedirectEntry":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"priority":{"type":"integer","description":"<para type=\"description\">Priority of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the url entry rule is enabled or not.</para>"},"url":{"type":"string","description":"<para type=\"description\">The URL pattern.</para>","nullable":true},"action":{"$ref":"#/components/schemas/RedirectActionType"}},"additionalProperties":false,"description":"<para type=\"synopsis\">URLRedirectEntry</para>\r\n<para type=\"description\"></para>"},"RedirectActionType":{"enum":[["0 = DoNotRedirect","1 = Redirect"]],"type":"string","description":"<para type=\"synopsis\">Redirect action type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update URL Redirection Entry.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/URLRedirectionSettings/Entry/{id}":{"put":{"tags":["2-Site settings//URL Redirection"],"summary":"Update","description":"Update URL Redirection Entry.","operationId":"446050a0-fc30-4d5b-89c4-092b54231dea","parameters":[{"name":"id","in":"path","description":"The ID for which to modify the URL Redirection Entry.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"siteId","in":"query","description":"The Site ID for which to modify the URL Redirection Settings. (optional)","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"URL Redirection Entry settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetURLRedirectionEntry"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetURLRedirectionEntry":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the URL redirection will be enabled or disabled.</para>","nullable":true},"url":{"type":"string","description":"<para type=\"description\">The URL to redirect or not.</para>","nullable":true},"action":{"$ref":"#/components/schemas/RedirectActionType"},"priority":{"$ref":"#/components/schemas/MoveDirection"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a URL redirection to the URL redirection list</para>\r\n<para type=\"description\"></para>"},"RedirectActionType":{"enum":[["0 = DoNotRedirect","1 = Redirect"]],"type":"string","description":"<para type=\"synopsis\">Redirect action type options</para>\r\n<para type=\"description\"></para>","format":"int32"},"MoveDirection":{"enum":[["0 = Up","1 = Down"]],"type":"string","description":"<para type=\"synopsis\">Move Direction.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Remove URL Redirection Entry.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/URLRedirectionSettings/Entry/{id}":{"delete":{"tags":["2-Site settings//URL Redirection"],"summary":"Delete","description":"Remove URL Redirection Entry.","operationId":"16e73ecc-cd03-48e7-ab4b-d20396195d05","parameters":[{"name":"id","in":"path","description":"The ID for which to Remove the URL Redirection Entry.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"siteId","in":"query","description":"The Site ID for which to modify the URL Redirection Settings. (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/site-settings/url-redirection/entry.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
